/********************************************************
  Arm function.  Check if BNC input has received a pulse and
********************************************************/
bool CheckForPellet () {
  Blink(GREEN_LED, 25, 2);
  BNCArm();
  BNCpulse();
}

void BNCArm() {
  if (digitalRead(PELLET_WELL) == HIGH) {
    delay (500);
    if (digitalRead(PELLET_WELL) == HIGH) {
      TimeToTakePellet = millis();
      PelletAvailable = false;
      Arm = true;
      digitalWrite (RED_LED, HIGH);
      ArmedDisplay();
      if (logReady == true) {
        //send pulse on BNC_OUT
        digitalWrite (BNC_OUT, HIGH);
        delay (100);
        digitalWrite (BNC_OUT, LOW);
        ReadBatteryLevel();
        logdata();
        logReady = false;
      }
    }
    else {}
  }
}

void BNCpulse() {
  if (Arm == true) {
    if (digitalRead(BNC_IN) == HIGH) {
      BNCmillis = millis();
      logReady = true;
      Arm = false;
      digitalWrite (RED_LED, LOW);
      Feed();
    }
  }
  else {}
}
