/********************************************************
  Feed function.  This turns the stepper forward and backwards to dispense a pellet, checking in between dispenses.
********************************************************/
void Feed()  {
  while (PelletAvailable == false) {
    for (int i = 0; i < 51 + random(0, 10); i++) {
      if (digitalRead (PELLET_WELL) == HIGH) {
        myMotor->step(1, BACKWARD, DOUBLE);
      }
    }
    if (digitalRead (PELLET_WELL) == LOW) {
      delay (500);
      if (digitalRead (PELLET_WELL) == LOW) {
        PelletAvailable = true;
      }
    }
    myMotor->release();

    delay (100);
    //Move pellet disk backwards a variable amount between 20 and 40
    for (int i = 0; i < 10 + random(0, 10); i++) {
      if (digitalRead (PELLET_WELL) == HIGH) {
        myMotor->step(1, FORWARD, DOUBLE);
      }
    }
    if (digitalRead (PELLET_WELL) == LOW) {
      delay (500);
      if (digitalRead (PELLET_WELL) == LOW) {
        PelletAvailable = true;
      }
    }
    myMotor->release();
  }
  UpdateDisplay();
  PelletCount++;
  TimeToDropPellet = millis() - BNCmillis;
}


